# Class SanitizeUriProvider

Private service to sanitize uris for links and images. Used by $compile.

#### Implements

- Defined in src/core/sanitize/sanitize-uri.js:10

##### Index

### Constructors

constructor

### Methods

$get
aHrefSanitizationTrustedUrlList
imgSrcSanitizationTrustedUrlList

## Constructors

### constructor

- new SanitizeUriProvider(): SanitizeUriProvider

  #### Returns SanitizeUriProvider

  - Defined in src/core/sanitize/sanitize-uri.js:11

## Methods

### $get

- $get(): SanitizerFn

  #### Returns SanitizerFn

  Sanitizer function.

  - Defined in src/core/sanitize/sanitize-uri.js:58

### aHrefSanitizationTrustedUrlList

- aHrefSanitizationTrustedUrlList(regexp: RegExp): RegExp | SanitizeUriProvider

  Retrieves or overrides the regexp used to trust URLs for a[href] sanitization.

  #### Parameters

  - regexp: RegExp

    New regexp to trust URLs with.

  #### Returns RegExp | SanitizeUriProvider

  Current regexp if no param, or self for chaining.

  - Defined in src/core/sanitize/sanitize-uri.js:33

### imgSrcSanitizationTrustedUrlList

- imgSrcSanitizationTrustedUrlList(regexp: RegExp): RegExp | SanitizeUriProvider

  Retrieves or overrides the regexp used to trust URLs for img[src] sanitization.

  #### Parameters

  - regexp: RegExp

    New regexp to trust URLs with.

  #### Returns RegExp | SanitizeUriProvider

  Current regexp if no param, or self for chaining.

  - Defined in src/core/sanitize/sanitize-uri.js:47